%define module_name Alien-zlib
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test/Alien/Diag.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(zlib)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: Find or build zlib
Group: Development/Perl
License: perl
URL: https://github.com/PerlAlien/Alien-zlib

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZM/ZMUGHAL/%{module_name}-%{version}.tar.gz

%description
This distribution provides zlib so that it can be used by other
Perl distributions that are on CPAN.  It does this by first trying to
detect an existing install of zlib on your system.  If found it
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt2
- rebuild with perl 5.38

* Fri Nov 04 2022 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- updated by package builder

* Mon May 16 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt1
- initial import by package builder

